Name: 	 	libopensync-plugin-python
Version: 	0.22
Epoch:		1
Release: 	%{mkrel 3}
Summary: 	Python plugin for OpenSync synchronization framework
License:	LGPLv2+
Group:		Office
URL:		http://www.opensync.org
Source:		http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	libopensync-devel < 0.30
BuildRequires:	fam-devel
%py_requires -d
Requires:	libopensync-python = %{epoch}:%{version}
Obsoletes:	multisync-backup
Provides:	multisync-backup
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This plugin allows applications using OpenSync to synchronise to and from
files stored on disk.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std

# Remove the sample plugin, it just messes up GUIs like multisync
# - AdamW 2008/03
rm -f %{buildroot}%{_libdir}/opensync/python-plugins/*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS
%{_libdir}/opensync/plugins/*
%{_libdir}/opensync/python-plugins



%changelog
* Thu Mar 13 2008 Adam Williamson <awilliamson@mandriva.com> 1:0.22-3mdv2008.1
+ Revision: 187607
- own the python-plugins dir
- don't ship the example plugin (it shows up as an empty entry in multisync-gui and kitchensync)

* Thu Mar 13 2008 Adam Williamson <awilliamson@mandriva.com> 1:0.22-2mdv2008.1
+ Revision: 187321
- some cleanups
- revert to 0.22 based on latest 0.22 spec in SVN

* Wed Mar 12 2008 Adam Williamson <awilliamson@mandriva.com> 0.36-2mdv2008.1
+ Revision: 186997
- requires opensync-python

* Mon Jan 28 2008 Funda Wang <fundawang@mandriva.org> 0.36-1mdv2008.1
+ Revision: 158963
- update to new version 0.36

* Tue Dec 25 2007 Funda Wang <fundawang@mandriva.org> 0.35-1mdv2008.1
+ Revision: 137644
- New version 0.35

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Funda Wang <fundawang@mandriva.org> 0.34-1mdv2008.1
+ Revision: 105787
- fix file list
- New version 0.34

* Sat Oct 20 2007 Funda Wang <fundawang@mandriva.org> 0.33-2mdv2008.1
+ Revision: 100599
- remove wrong obsoletes

* Fri Oct 19 2007 Funda Wang <fundawang@mandriva.org> 0.33-1mdv2008.1
+ Revision: 100219
- BR python
- Obsoletes libopensync-python, because this package is
  the only way interacting libopensync with python
- New version 0.33

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import libopensync-plugin-python




* Sun Nov 12 2006 Buchan Milne <bgmilne@mandriva.org> 0.20-1mdv2007.0
+ Revision: 83445
- new version 0.20
- Import libopensync-plugin-file



* Tue Sep 05 2006 Buchan Milne <bgmilne@mandriva.org> 0.18-3mdv2007.0
- rebuild

* Mon Dec 5 2005 Austin Acton <austin@mandriva.org> 0.18-2mdk
- mkrel
- obsoletes multisync-backup

* Sat Dec 3 2005 Austin Acton <austin@mandriva.org> 0.18-1mdk
- initial package
